[torqueusers] Upgrade from 2.1.*

David Beer dbeer at adaptivecomputing.com
Tue Aug 17 11:47:44 MDT 2010


Sarah and Josh,

Thanks for the feedback. I'll have to ask this person what the situation is with jobs, and see if draining is possible or not.

----- Original Message -----
> David,
> 
> As Sarah point out, there are problems with doing that large of an
> upgrade while jobs are running. As you know, the job data structure
> has
> changed quite a bit from 2.1 to 2.4, and thus currently running jobs
> are
> detected as corrupted, and generally unpredictable things seem to
> happen. More often then not, when pbs_server starts back up it sees
> these jobs, but isn't able to correctly process them, and thus they
> get
> lost or worse, sometimes get killed. My advice would be to do the
> upgrade only after draining the system of of jobs. It some cases when
> a
> complete drain isn't an option, I've done this using a rolling upgrade
> with two pbs_server and two sets of pbs_mom's running
> 
> -Joshua Bernstein
> Penguin Computing
> 
> David Beer wrote:
> > Hi all,
> >
> > I'm wondering if anyone out there has experience upgrading from
> > TORQUE 2.1.* to 2.3.*, 2.4.*, etc.? We have a customer that is
> > planning to do this, and he's curious what challenges he is likely
> > to face in upgrading.
> >
> > Thanks for any help on this,
> >

-- 
David Beer | Senior Software Engineer
Adaptive Computing


More information about the torqueusers mailing list